-module(test8).

fun_1(A) ->
    Map = lists:map(fun(K) -> to_list(K) end, A),
    {_, List} = lists:unzip(Map),
    lists:filter(fun(K) -> to_tuple(K) end, List).

fun_1(A) ->
    Map = lists:map(fun(K) -> to_list(K) end, A),
    {_, List} = lists:unzip(Map),
    lists:filter(fun(K) -> to_tuple(K) end, List) ++ [A].
